com.microfocus.awm.meta.modelextension

## Class IDDefinitionExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.PreDefinedModelExtensionObject
    - - com.microfocus.awm.meta.modelextension.IDDefinitionExtension

-     public class IDDefinitionExtension
      extends PreDefinedModelExtensionObject

  Parsed `idDefinition` model extension element. ID definitions can be referenced by linked element types to be automatically created/associated in AWM models.
  Author:
    RalfP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDDefinitionExtension(java.lang.String pId, java.lang.String pLabel, FunctionPackageExtension pFunctionPackage)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<KeyPropertyExtension>` | `getKeyProperties()` Gets the ID definition's key property extensions.
    `org.eclipse.emf.ecore.EClass` | `getPreDefinedClass()` Gets the `EClass` that this model extension pre-defines.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IDDefinitionExtension

          public IDDefinitionExtension(java.lang.String pId,
                                       java.lang.String pLabel,
                                       FunctionPackageExtension pFunctionPackage)

      Constructor.
      Parameters:
        `pId` - the unique ID
        `pLabel` - the ID definition label
        `pFunctionPackage` - the containing function package

  - ### Method Detail

    - #### getKeyProperties

          public java.util.List<KeyPropertyExtension> getKeyProperties()

      Gets the ID definition's key property extensions.
      Returns:
        the key properties

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ModelExtensionObject`

    - #### getPreDefinedClass

          public org.eclipse.emf.ecore.EClass getPreDefinedClass()

      Description copied from class: `PreDefinedModelExtensionObject`
      Gets the `EClass` that this model extension pre-defines.
      Specified by:
        `getPreDefinedClass` in class `PreDefinedModelExtensionObject`
      Returns:
        the `EClass` of the pre-defined object

Copyright © 2015 Micro Focus GmbH. All rights reserved.